<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:rich="http://richfaces.org/rich" xmlns:c="http://java.sun.com/jstl/core"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html" xmlns="http://www.w3.org/1999/xhtml">
    <s:decorate template="/xvalidation/expressions/expressionTemplate.xhtml" id="ex_#{expression.fakeId}">
        <ui:param name="expression" value="#{expression}"/>
        <ui:param name="expressionName" value="Math comparison"/>
        <ui:define name="expressionBody">
            <div class="btn-group">
                <button type="button" class="gzl-btn gzl-btn-blue dropdown-toggle" data-toggle="dropdown"
                        aria-haspopup="true" aria-expanded="false">#{messages['net.ihe.gazelle.xval.CreatereplaceMember']}
                    <span class="caret"/>
                </button>
                <ui:include src="/xvalidation/expressions/_listMathOperationsButtons.xhtml">
                    <ui:param name="targetId" value="#{expression.fakeId}"/>
                    <ui:param name="side" value="#{messages['net.ihe.gazelle.xval.LEFT']}"/>
                </ui:include>
            </div>

            <f:subview rendered="#{expression.leftMember != null}" id="left">
                <ui:include src="/xvalidation/expressions/_mathMember.xhtml">
                    <ui:param name="expression" value="#{expression.leftMember}"/>
                </ui:include>
            </f:subview>
            <h:selectOneMenu value="#{expression.comparator}">
                <f:selectItems value="#{ruleEditorManager.listComparators()}"/>
            </h:selectOneMenu>
            <div class="btn-group">
                <button type="button" class="gzl-btn gzl-btn-blue dropdown-toggle" data-toggle="dropdown"
                        aria-haspopup="true" aria-expanded="false">#{messages['net.ihe.gazelle.xval.CreatereplaceMember']}
                    <span class="caret"/>
                </button>
                <ui:include src="/xvalidation/expressions/_listMathOperationsButtons.xhtml">
                    <ui:param name="targetId" value="#{expression.fakeId}"/>
                    <ui:param name="side" value="#{messages['net.ihe.gazelle.xval.RIGHT']}"/>
                </ui:include>
            </div>
            <f:subview id="right" rendered="#{expression.rightMember != null}">
                <ui:include src="/xvalidation/expressions/_mathMember.xhtml">
                    <ui:param name="expression" value="#{expression.rightMember}"/>
                </ui:include>
            </f:subview>
        </ui:define>
    </s:decorate>
</ui:composition>